Bug 471181 - After suspend/resume, processor spends more time in C0 state, C3 hardly used.
After suspend/resume, processor spends more time in C0 state, C3 hardly used.
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
11
All Linux
medium Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-12 04:04 EST by James
Modified: 2010-06-28 06:48 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-28 06:48:36 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
dmesg from session (52.42 KB, text/plain)
2008-11-12 04:04 EST, James
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
Linux Kernel 12788 None None None Never

  None (edit)
Description James 2008-11-12 04:04:43 EST
Created attachment 323309 [details]
dmesg from session

Description of problem:
Before suspend, CPU time is well-portioned between mostly C0 and C3. After resume, according to powertop, the processor spends comparatively much more time in C0 (hardly ever in the low-power states). Wakeups due to ACPI interrupts also seem to be up threefold afterwards. This all results in rise in CPU idle temperature.

Version-Release number of selected component (if applicable):
kernel-2.6.27.5-32.fc9.x86_64 (and a few earlier ones).

How reproducible:
Always.

Steps to Reproduce:
1. Suspend and resume.
  
Actual results:
3 times as many ACPI interrupts, hotter idle temperature.

Expected results:
Same as before suspend/resume.

Additional info:
dmesg attached.
For info on the hardware, see attachments to bug 448150.
Comment 1 James 2008-11-28 15:56:13 EST
Still seems to be in kernel-2.6.27.7-53.fc9.x86_64.
Comment 2 James 2009-02-27 15:38:57 EST
Also present in kernel 2.6.29-0.43.rc6.fc10.x86_64. Before a suspend/resume cycle, with an idle desktop, powertop reports the processor switching between C0 and C3 states, with respective residencies 3% and 97%. After suspending and resuming, it doesn't use C3 as much but uses C2, with residencies of around 55%, 43% and 2% for C0, C2 and C3, respectively. The ACPI interrupts have have been a red herring, but there appear to be more rescheduling interrupts after resume.
Comment 3 James 2009-09-07 17:03:34 EDT
Reported upstream, cause is ~40kwups of unknown origin.
Comment 4 Bug Zapper 2010-04-27 08:19:58 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bug Zapper 2010-06-28 06:48:36 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.